Skip to main content
GET
Get counterparties

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

order
enum<string>
default:ASC

Choose between ascending and descending order.

Available options:
ASC,
DESC
page
number
default:1

Specify the number of the page you want to retrieve.

Required range: x >= 1
take
number
default:10

Specify the number of items you want to retrieve per page.

Required range: 1 <= x <= 100
searchTerm
string

The search term to look for in the counterparty list.

counterpartyIds
string

Filter counterparties by id.

email
string

Filter counterparties by email.

vatValidationStatus
string

Filter counterparties by VAT validation status (comma-separated values: VALID, INVALID, VALIDATION_FAILED, PENDING, or NO_VAT for counterparties without VAT).

accountsPayableNumberFilter
string

Filter counterparties by AP-number state (comma-separated values: HAS_AP_NUMBER, NO_AP_NUMBER, USES_COMMON_CARD_ACCOUNT).

archived
string

Filter counterparties by archive state. Use false for active, true for archived, or true,false for all.

orderField
string

Specify the field you want to order by.

orderDir
string

Choose between ascending and descending order.

Response

200 - application/json
data
object[]
required

Paginated items.

meta
object
required

Additional information about the page.